server {
  server_name {{ sutty_kimai_hostname }};

  access_log syslog:server=unix:/tmp/access_log.socket,nohostname access_logd;

  {% if inventory_hostname in groups.sutty_certbot %}
  include snippets/acme.conf;
  {% else %}
  # Redirect to "Central Validation Server"
  location ^~ /.well-known/acme-challenge/ {
    return 301 http://certbot.{{ sutty }}$request_uri;
  }
  {% endif %}

  listen 80;
  listen 443 ssl http2;

  ssl_certificate /etc/letsencrypt/live/{{ sutty }}/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/{{ sutty }}/privkey.pem;
  ssl_session_timeout 1d;
  ssl_session_cache shared:SSL:10m;
  ssl_session_tickets off;
  # https://ssl-config.mozilla.org/#server=nginx&version=1.22.1&config=intermediate&openssl=3.0.10&guideline=5.7
  ssl_protocols TLSv1.2 TLSv1.3;
  ssl_ciphers ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:DHE-RSA-CHACHA20-POLY1305;
  ssl_early_data on;

  if ($redirect_to_https) {
    return 301 https://$http_host$request_uri;
  }

  brotli_static on;
  gzip_static on;

  root {{ sutty_kimai_dest }}/public;
  index index.php;

  location ~ /\.ht {
    deny all;
  }

	location / {
		try_files $uri /index.php$is_args$args;
	}

	location ~ ^/index\.php(/|$) {
    set kimai kimai.{{ inventory_hostname }}:9000;
		fastcgi_pass $kimai;
		fastcgi_split_path_info ^(.+\.php)(/.*)$;
		include fastcgi_params;
		fastcgi_param SCRIPT_FILENAME {{ sutty_kimai_dest }}/public$fastcgi_script_name;
		internal;
	}

	location ~ \.php$ {
		return 404;
	}
}
